LIMACTL(1)

NAME
limactl-sudoers - Generate the content of the /etc/sudoers.d/lima file

SYNOPSIS
limactl sudoers [--check [SUDOERSFILE-TO-CHECK]] [flags]

DESCRIPTION
Generate the content of the /etc/sudoers.d/lima file for enabling vmnet.framework support. The content is written to stdout, NOT to the file. This command must not run as the root user. See https://lima-vm.io/docs/config/network/#socket_vmnet for the usage.

OPTIONS
--check[=false]
    check that the sudoers file is up-to-date with "~/.lima/_config/networks.yaml"

-h, --help[=false]
    help for sudoers

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

EXAMPLE
    To generate the /etc/sudoers.d/lima file:
    $ limactl sudoers | sudo tee /etc/sudoers.d/lima
    To validate the existing /etc/sudoers.d/lima file:
    $ limactl sudoers --check /etc/sudoers.d/lima

SEE ALSO
limactl(1)